import request from '@/utils/request'

// 采购合同列表
export function apiProcurementContractLists(params: any) {
    return request.get({ url: '/contract.procurement_contract/lists', params })
}

// 添加采购合同
export function apiProcurementContractAdd(params: any) {
    return request.post({ url: '/contract.procurement_contract/add', params })
}

// 编辑采购合同
export function apiProcurementContractEdit(params: any) {
    return request.post({ url: '/contract.procurement_contract/edit', params })
}

// 删除采购合同
export function apiProcurementContractDelete(params: any) {
    return request.post({ url: '/contract.procurement_contract/delete', params })
}

// 采购合同详情
export function apiProcurementContractDetail(params: any) {
    return request.get({ url: '/contract.procurement_contract/detail', params })
}